{% extends "layout.html.twig" %}
{% set adminMenu = true %}

{% block title %}Administration{% endblock %}

{% block content %}
<h2 class="text-center">{{ block('title') }}</h2>
{% for flashMessage in app.session.flashbag.get('success') %}
<div class="alert alert-success">
    {{ flashMessage }}
</div>
{% endfor %}
<div class="row">
    <div class="col-sm-8 col-sm-offset-2 col-md-6 col-md-offset-3">
        <ul class="nav nav-tabs nav-justified">
            <li class="active"><a href="#links" data-toggle="tab">Links</a></li>
            <li><a href="#users" data-toggle="tab">Users</a></li>
        </ul>
    </div>
</div>
<div class="tab-content">
    <div class="tab-pane fade in active adminTable" id="links">
        <a href="{{ path('admin_link_add') }}"><button type="button" class="btn btn-primary"><span class="glyphicon glyphicon-plus"></span> Add link</button></a>
        {% if links %}
        <div class="table-responsive">
            <table class="table table-hover table-condensed">
                <thead>
                    <tr>
                        <th>Title</th>
                        <th>Author</th>
                        <th>Description</th>
                        <th></th>  <!-- Actions column -->
                    </tr>
                </thead>
                {% for link in links %}
                <tr>
                    <td><a class="linkTitle" href="{{ path('link', { 'id': link.id }) }}">{{ link.title }}</a></td>
                    <td>{{ link.user.username }}</td>
                    <td>{{ link.desc | truncate(60) }}</td>
                    <td>
                        <a href="{{ path('admin_link_edit', { 'id': link.id }) }}" class="btn btn-info btn-xs" title="Edit"><span class="glyphicon glyphicon-edit"></span></a>
                        <button type="button" class="btn btn-danger btn-xs" title="Delete" data-toggle="modal" data-target="#linkDialog{{ link.id }}"><span class="glyphicon glyphicon-remove"></span>
                        </button>
                        <div class="modal fade" id="linkDialog{{ link.id }}" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
                            <div class="modal-dialog">
                                <div class="modal-content">
                                    <div class="modal-header">
                                        <button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
                                        <h4 class="modal-title" id="myModalLabel">Confirmation needed</h4>
                                    </div>
                                    <div class="modal-body">
                                        Do you really want to delete this link ?
                                    </div>
                                    <div class="modal-footer">
                                        <button type="button" class="btn btn-default" data-dismiss="modal">Cancel</button>
                                        <a href="{{ path('admin_link_delete', { 'id': link.id }) }}" class="btn btn-danger">Confirm</a>
                                    </div>
                                </div><!-- /.modal-content -->
                            </div><!-- /.modal-dialog -->
                        </div><!-- /.modal -->
                    </td>
                </tr>
                {% endfor %}
            </table>

        </div>
        {% else %}
        <div class="alert alert-warning">No links found.</div>
        {% endif %}


    </div>
    
    <div id="page"> <!-- On met en place notre div ou nous allons afficher nos boutons et notre texte -->
    <h3 class= "text-center"> Vous êtes à la page {{ pageActuelle | raw }} / {{ nb_pages | raw }}   </h3> <!-- Nous écrivons le numéro de la page actuelle -->
     {% if pageActuelle>1 %} <!-- Si le numéro de la page actuelle est inférieur à 1 (donc en gros si on est sur la première page) on ne peut pas aller sur la page précédente  -->
    <a href="{{ path('admin', { 'id': (pageActuelle-1)}) }}" class="pull-left btn btn-primary">retour arrière</a>
    <!-- Sinon on peut aller sur la page précédente et on affiche un boutton avec la classe du fichier bootsrap min css utilisé dans layout.html.twig -->
    {% endif %} 
    {% if pageActuelle != nb_pages %} <!-- Même système mais pour la page suivante -->
    <a href="{{ path('admin', { 'id': (pageActuelle+1)}) }}" class="pull-right btn btn-primary">page suivante</a>
    {% endif %}
    <br/>
    </div>

    <div class="tab-pane fade adminTable" id="users">
        <a href="{{ path('admin_user_add') }}"><button type="button" class="btn btn-primary"><span class="glyphicon glyphicon-plus"></span> Add user</button></a>
        {% if users %}
        <div class="table-responsive">
            <table class="table table-hover table-condensed">
                <thead>
                    <tr>
                        <th>Name</th>
                        <th></th>  <!-- Actions column -->
                    </tr>
                </thead>
                {% for user in users %}
                <tr>
                    <td>{{ user.username }}</a></td>
                    <td>
                        <a href="{{ path('admin_user_edit', { 'id': user.id }) }}" class="btn btn-info btn-xs" title="Edit"><span class="glyphicon glyphicon-edit"></span></a>
                        <button type="button" class="btn btn-danger btn-xs" title="Delete" data-toggle="modal" data-target="#userDialog{{ user.id }}"><span class="glyphicon glyphicon-remove"></span>
                        </button>
                        <div class="modal fade" id="userDialog{{ user.id }}" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
                            <div class="modal-dialog">
                                <div class="modal-content">
                                    <div class="modal-header">
                                        <button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
                                        <h4 class="modal-title" id="myModalLabel">Confirmation needed</h4>
                                    </div>
                                    <div class="modal-body">
                                        Do you really want to delete this user ?
                                    </div>
                                    <div class="modal-footer">
                                        <button type="button" class="btn btn-default" data-dismiss="modal">Cancel</button>
                                        <a href="{{ path('admin_user_delete', { 'id': user.id }) }}" class="btn btn-danger">Confirm</a>
                                    </div>
                                </div><!-- /.modal-content -->
                            </div><!-- /.modal-dialog -->
                        </div><!-- /.modal -->
                    </td>
                </tr>
                {% endfor %}
            </table>
        </div>
        {% else %}
        <div class="alert alert-warning">No users found.</div>
        {% endif %}
    </div>
</div>
{% endblock %}
